<?php

	require_once dirname(__FILE__).'/../../includes/PHPDS_utils.inc.php';


	class PHPDS_utilsTest extends PHPUnit_Framework_TestCase
	{
		protected function setUp()
		{
		}

		public function test_BuildGET1()
		{
			$_GET = array();

			$this->assertEquals('', PU_BuildGET(null,  null));
			//$this->assertEquals('', PU_BuildGET(array('a'),  null));
			//$this->assertEquals('?a=1', PU_BuildGET('a',  null));
			$this->assertEquals('?a=1', PU_BuildGET(array('a' => 1),  null));
			$this->assertEquals('?a=1&amp;b=y%20s', PU_BuildGET(array('a' => 1, 'b' => 'y s'),  null));
			$this->assertEquals('?a=1', PU_BuildGET(array('a' => 1, 'b' => 'y s'),  'b'));

			$this->assertEquals('?a=y%20s', PU_BuildGET(array('a' => 'y s'),  null));
			//$this->assertEquals('?a=1&b=y%20s', PU_BuildGET(array('a' => 1, 'b' => 'y s'),  '&'));
			$this->assertEquals('?a=1', PU_BuildGET(array('a' => 1, 'b' => 'y s'),  'b', '&'));
		}

		public function test_BuildGET2()
		{
			$_GET = array('c' => 'no');

			$this->assertEquals('?c=no', PU_BuildGET(null,  null));
			/*$this->assertEquals('', PU_BuildGET(array('a'),  null));
			$this->assertEquals('?a=1', PU_BuildGET('a',  null));
			$this->assertEquals('?a=1', PU_BuildGET(array('a' => 1),  null));
			$this->assertEquals('?a=1&amp;b=y%20s', PU_BuildGET(array('a' => 1, 'b' => 'y s'),  null));
			$this->assertEquals('?a=1', PU_BuildGET(array('a' => 1, 'b' => 'y s'),  'b'));

			$this->assertEquals('?a=y%20s', PU_BuildGET(array('a' => 'y s'),  null));
			$this->assertEquals('?a=1&b=y%20s', PU_BuildGET(array('a' => 1, 'b' => 'y s'),  '&'));
			$this->assertEquals('?a=1', PU_BuildGET(array('a' => 1, 'b' => 'y s'),  'b', '&'));*/
		}

		public function test_BuildURL()
		{
			//PU_BuildURL($target = null, $includeInGet = null, $excludeFromGet = null, $glue = '&amp;')
			$this->assertEquals('http://TEST/test.php', PU_BuildURL());
			$this->assertEquals('http://TEST/target.php', PU_BuildURL('/target.php'));
			$this->assertEquals('target.php', PU_BuildURL('target.php'));

			$this->assertEquals('target.php?a=z', PU_BuildURL('target.php', array('a' => 'z')));
			$this->assertEquals('target.php?a=1&amp;b=2', PU_BuildURL('target.php?a=1&b=2'));
			$this->assertEquals('target.php?a=z&amp;b=2', PU_BuildURL('target.php?a=1&b=2', array('a' => 'z')));
			$this->assertEquals('target.php?a=z&amp;b=2&amp;c=y', PU_BuildURL('target.php?a=1&b=2', array('a' => 'z', 'c' => 'y')));
			$this->assertEquals('target.php?a=1&amp;b=2&amp;c=y', PU_BuildURL('target.php?a=1&b=2', array('c' => 'y')));

			$this->assertEquals('target.php', PU_BuildURL('target.php', null, array('a')));
			$this->assertEquals('target.php?b=2', PU_BuildURL('target.php?a=1&b=2', null, array('a')));
			$this->assertEquals('target.php?b=2', PU_BuildURL('target.php?a=1&b=2', array('a' => 'z'), array('a')));
			$this->assertEquals('target.php?b=2&amp;c=y', PU_BuildURL('target.php?b=2', array('a' => 'z', 'c' => 'y'), array('a')));
			$this->assertEquals('target.php?c=y', PU_BuildURL('target.php?c=z', array('c' => 'y'), array('a')));
		}

		public function test_BuildAttrString()
		{
			$this->assertEquals('', PU_BuildAttrString(array()));
			$this->assertEquals(' a="1"', PU_BuildAttrString(array('a' => 1)));
			$this->assertEquals(' a="1" b="y s"', PU_BuildAttrString(array('a' => 1, 'b' => 'y s')));
		}

		public function test_CleanString()
		{
			$this->assertEquals('', PU_CleanString(''));
			$this->assertEquals('a', PU_CleanString('a'));
			$this->assertEquals('a', PU_CleanString('a"'));
			$this->assertEquals('ab', PU_CleanString('a"\'\\\\b"'));
		}
	}