<?php

/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */

/**
 * Controller Class: List example.
 * Like always we start our node with the controller.
 * @author Jason Schoeman
 * @return string
 */
class listExample extends PHPDS_controller
{

	/**
	 * Execute Controller
	 * @author Jason Schoeman
	 */
	public function execute()
	{
		// Header information
		$this->template->heading(_('Simple example to list items in a database.'));
		$this->template->info(_('You can always use the info heading to provide some info regarding current item.'));

		// Should we delete group?
		if (!empty($this->security->get['de'])) {
			// Lets delete the item.
			$example_deleted = $this->db->deleteQuick('_db_ExamplePlugin_example', 'id', $this->security->get['de'], 'example_name');

			if ($example_deleted) {
				$this->template->ok(sprintf(_('Example %s was deleted.'), $example_deleted));
			} else {
				$this->template->warning(sprintf(_('No example "%s" to delete.'), $this->security->get['de']));
			}
		}

		// Lets pass the array to the view so he can loop and output the results.
		$RESULTS = $this->db->invokeQuery('ExamplePlugin_readExampleQuery');

		// Load views plugin.
		$view = $this->factory('views');

		// Assign different parts of our pagination to different variables.
		$view->set('pagination', $RESULTS['pagination']);
		$view->set('searchForm', $RESULTS['searchForm']);
		$view->set('th', $RESULTS['th']);
		$view->set('RESULTS', $RESULTS['list']);

		// Output to views.
		$view->show();
	}
}

return 'listExample';