<?php

/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */

/**
 * Controller Class: New example and edit example.
 * Like always we start our node with the controller.
 * @author Jason Schoeman
 * @return string
 */
class manageExample extends PHPDS_controller
{

	/**
	 * Execute Controller
	 * @author Jason Schoeman
	 */
	public function execute()
	{
		// Define.
		$id = 0;
		$example_name = '';
		$example_note = '';
		$alias = '';

		// Lets create header information.
		if (!empty($this->security->get['ee']) || !empty($this->security->post['save'])) {
			$this->template->heading(_('We are in edit mode, lets edit an example.'));
			$this->template->info(_('By using PHPDevShells symlink to another items feature. It is possible to symlink to the orginal manage-example to handle edits.'));

			// Set to edit mode.
			$edit_mode = true;

			// Set edit example id.
			(!empty($this->security->get['ee'])) ? $ee = $this->security->get['ee'] : $ee = 0;
	
		} else {
			$this->template->heading(_('Add new Example'));
			$this->template->info(_('On this page we will show you how to do a simple form and save data to the database.'));

			// Set to edit mode.
			$edit_mode = false;
			
			// Set edit group id.
			$ee = 0;
		}
		// If item gets posted, lets read it and save it to the database.
		if (!empty($this->security->post['save']) || !empty($this->security->post['new'])) {
			if (!empty($this->security->post['id'])) {
				$id = $this->security->post['id'];
			} else {
				$id = 0;
			}
			$example_name = $this->security->post['example_name'];
			$example_note = $this->security->post['example_note'];
			$alias = $this->security->post['alias'];

			// Some minor error checking.
			if (empty($example_name)) {
				$this->template->warning(_('You need to provide values for all fields, please try again.'));
				$error[1] = true;
			}
			// If everything is ok we can now save.
			if (empty($error)) {
				$id = $this->db->invokeQuery('ExamplePlugin_writeExampleQuery', $id, $example_name, $example_note, $alias);
				// Show item updated.
				$this->template->ok(sprintf(_('Nice, %s was saved to the database.'), $example_name));
			}
			// Save and new.
			if (!empty($this->security->post['new'])) {
				$id = 0;
				$example_name = $this->security->post['example_name'];
				$example_note = '';
				$alias = '';
			}
		}
		// Edit example and load data for example.
		if (!empty($edit_mode) && !empty($ee)) {
			// If item is in edit mode.
			$ex_array = $this->db->invokeQuery('ExamplePlugin_editExampleQuery', $ee);

			$id = $ex_array['id'];
			$example_name = $ex_array['example_name'];
			$example_note = $ex_array['example_note'];
			$alias = $ex_array['alias'];
		}

		// Load views plugin.
		$view = $this->factory('views');

		// Set Values.
		$view->set('self_url', $this->navigation->selfUrl());
		$view->set('id', $id);
		$view->set('example_name', $example_name);
		$view->set('example_note', $example_note);
		$view->set('alias', $alias);

		// Output to view.
		$view->show();
	}
}

return 'manageExample';