<?php

/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */
class SystemLogs extends PHPDS_controller
{

	/**
	 * Allows authorized personnel to view logs and to monitor user activities on the system
	 * @author Jason Schoeman, Jason Schoeman [titan@phpdevshell.org], Ross Kuyper
	 * @since 01 July 2010
	 */
	public function execute()
	{
		$this->template->heading(_('General System Logs'));
		$this->template->info(_('Listed here are logs in three different categories. These logs are kept to allow authorized personnel to view logs and to monitor user activities on the system.'));

		// Clear database if requested.
		if (!empty($this->security->post['clear']) && ($this->configuration['user_role'] == $this->configuration['root_role'])) {
			$this->db->invokeQuery('PHPDS_deleteAllSystemLogsQuery');
		}
		// Query all logs.
		$RESULTS = $this->db->invokeQuery('PHPDS_getAllSystemLogsQuery');

		// Only root users should be able to delete logs.
		($this->configuration['user_role'] == $this->configuration['root_role']) ? $DELETE_BUTTON = true : $DELETE_BUTTON = false;

		// Load views.
		$view = $this->factory('views');

		// Set Array.
		$view->set('pagination', $RESULTS['pagination']);
		$view->set('searchForm', $RESULTS['searchForm']);
		$view->set('th', $RESULTS['th']);
		$view->set('RESULTS', $RESULTS['list']);

		// Set Button.
		$view->set('delete_all_logs', _('Delete all logs'));

		// Set Values.
		$view->set('self_url', $this->navigation->selfUrl());
		$view->set('DELETE_BUTTON', $DELETE_BUTTON);

		// Output Template.
		$view->show();
	}
}

return 'SystemLogs';