<?php

/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */

/**
 * Register Finalize - Read User Data
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 */
class PHPDS_ReadUserQuery extends PHPDS_query
{
	protected $sql = "
		SELECT
			t1.user_id, t1.user_display_name,
			t2.registration_type, t2.token_id,
			t3.token_name, t3.user_role_id, t3.user_group_id, t3.token_key, t3.available_tokens
		FROM
			_db_core_users t1
		LEFT JOIN
			_db_core_registration_queue t2
		ON
			t1.user_id = t2.user_id
		LEFT JOIN
			_db_core_registration_tokens t3
		ON
			t2.token_id = t3.token_id
		WHERE
			t1.user_name     = '%s'
		AND
			t1.user_password = '%s'
		AND
			t2.registration_type = 1
    ";
	protected $singleRow = true;
}

/**
 * Register Finalize - Update User Data
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 */
class PHPDS_UpdateUserQuery extends PHPDS_query
{
	protected $sql = "
		UPDATE
			_db_core_users
		SET
			user_role  = %u,
			user_group = %u
		WHERE
			user_id	= %u
    ";
}

/**
 * Register Finalize - Update Tokens
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 */
class PHPDS_UpdateTokens extends PHPDS_query
{
	protected $sql = "
		UPDATE
			_db_core_registration_tokens
		SET
			available_tokens = available_tokens - 1
		WHERE
			token_id = %u
    ";
}